Debian Bug report logs - #582805
libpetal-perl: breaks with new Safe

version graph

Package: src:libpetal-perl; Maintainer for src:libpetal-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>;

Reported by: Niko Tyni <ntyni@debian.org>

Date: Sun, 23 May 2010 19:45:02 UTC

Severity: serious

Tags: sid, wheezy

Merged with 628364

Found in version libpetal-perl/2.19-1

Fixed in version libpetal-perl/2.19-2

Done: Damyan Ivanov <dmn@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://rt.cpan.org/Public/Bug/Display.html?id=57787

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#582805; Package libpetal-perl. (Sun, 23 May 2010 19:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sun, 23 May 2010 19:45:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: submit@bugs.debian.org
Subject: libpetal-perl: breaks with new Safe
Date: Sun, 23 May 2010 22:40:33 +0300
Package: libpetal-perl
Version: 2.19-1
Severity: important
User: debian-perl@lists.debian.org
Usertags: perl-5.12-transition
Forwarded: https://rt.cpan.org/Public/Bug/Display.html?id=57787

This package fails to build on amd64 with perl 5.12.1-1 from experimental.

The failure is due to this change in Safe-2.27:

    - Wrap coderefs returned by reval() and rdo()

The symptoms are

  t/003_More_Include.t .................... ok
  UNIVERSAL->import is deprecated and will be removed in a future perl at lib/Petal/Hash/Var.pm line 14
          (in cleanup) Can't locate object method "process" via package "Petal::Hash::Var" (perhaps you forgot to load "Petal::Hash::Var"?) at lib/Petal/Hash.pm line 188.
  [PETAL ERROR] Can't locate object method "process" via package "Petal::Hash::Var" (perhaps you forgot to load "Petal::Hash::Var"?) at lib/Petal/Hash.pm line 188.
  . Debug info written in /tmp/petal_debug.6946.1274593789.xwuhzvftan at lib/Petal.pm line 484.
  # Looks like your test exited with 255 before it could output anything.
  t/004_Misc_Tests.t ...................... 
  Dubious, test returned 255 (wstat 65280, 0xff00)
  No subtests run 

I've reported this upstream as [rt.cpan.org #57787].
-- 
Niko Tyni   ntyni@debian.org




Added indication that bug 582805 blocks 613729 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Wed, 16 Feb 2011 21:12:09 GMT) Full text and rfc822 format available.

Removed indication that bug 582805 blocks 613729 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Thu, 17 Feb 2011 21:39:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#582805; Package libpetal-perl. (Sun, 01 May 2011 13:06:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sun, 01 May 2011 13:06:15 GMT) Full text and rfc822 format available.

Message #14 received at 582805@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: 581950@bugs.debian.org, 624304@bugs.debian.org, 578947@bugs.debian.org, 578948@bugs.debian.org, 578940@bugs.debian.org, 581411@bugs.debian.org, 582805@bugs.debian.org
Subject: Perl 5.12 about to be uploaded to unstable
Date: Sun, 1 May 2011 14:02:42 +0100
Hi,

Just to let you know that perl 5.12 is likely to hit unstable in the
next 24 hours, at which point this bug will become severity: serious.

Dominic.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Severity set to 'serious' from 'important' Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Mon, 02 May 2011 10:03:10 GMT) Full text and rfc822 format available.

Added tag(s) sid and wheezy. Request was from Didier Raboud <odyx@debian.org> to control@bugs.debian.org. (Tue, 03 May 2011 11:45:15 GMT) Full text and rfc822 format available.

Added indication that bug 582805 blocks 627271 Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Thu, 19 May 2011 21:39:10 GMT) Full text and rfc822 format available.

Bug reassigned from package 'libpetal-perl' to 'src:libpetal-perl'. Request was from Salvatore Bonaccorso <carnil@debian.org> to control@bugs.debian.org. (Sat, 28 May 2011 20:21:11 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions libpetal-perl/2.19-1. Request was from Salvatore Bonaccorso <carnil@debian.org> to control@bugs.debian.org. (Sat, 28 May 2011 20:21:12 GMT) Full text and rfc822 format available.

Bug Marked as found in versions libpetal-perl/2.19-1. Request was from Salvatore Bonaccorso <carnil@debian.org> to control@bugs.debian.org. (Sat, 28 May 2011 20:21:12 GMT) Full text and rfc822 format available.

Forcibly Merged 582805 628364. Request was from Salvatore Bonaccorso <carnil@debian.org> to control@bugs.debian.org. (Sat, 28 May 2011 20:21:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#582805; Package src:libpetal-perl. (Mon, 08 Aug 2011 16:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Mon, 08 Aug 2011 16:45:03 GMT) Full text and rfc822 format available.

Message #33 received at 582805@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: 582805@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: [bts-link] source package src:libpetal-perl
Date: Mon, 8 Aug 2011 17:43:39 +0100
tags 582805 +patch
thanks

On Mon, Aug 08, 2011 at 04:39:11PM +0000, bts-link-upstream@lists.alioth.debian.org wrote:
> # remote status report for #582805 (http://bugs.debian.org/582805)
> #  * http://rt.cpan.org/Public/Bug/Display.html?id=57787
> #  * remote status changed: new -> open
> usertags 582805 - status-new
> usertags 582805 + status-open

...in which we are informed that there is a patch for perl 5.12 floating
about (and that it might make its way into a release before long).

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Added tag(s) patch. Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Mon, 08 Aug 2011 16:45:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#582805; Package src:libpetal-perl. (Mon, 08 Aug 2011 17:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Mon, 08 Aug 2011 17:21:03 GMT) Full text and rfc822 format available.

Message #40 received at 582805@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Dominic Hargreaves <dom@earth.li>, 582805@bugs.debian.org, 614870@bugs.debian.org
Subject: Re: Bug#582805: [bts-link] source package src:libpetal-perl
Date: Mon, 8 Aug 2011 19:18:36 +0200
[Message part 1 (text/plain, inline)]
tag 582805 - patch
tag 614870 + patch
On Mon, 08 Aug 2011 17:43:39 +0100, Dominic Hargreaves wrote:

> On Mon, Aug 08, 2011 at 04:39:11PM +0000, bts-link-upstream@lists.alioth.debian.org wrote:
> > # remote status report for #582805 (http://bugs.debian.org/582805)
> > #  * http://rt.cpan.org/Public/Bug/Display.html?id=57787
> > #  * remote status changed: new -> open
> > usertags 582805 - status-new
> > usertags 582805 + status-open
> ...in which we are informed that there is a patch for perl 5.12 floating
> about (and that it might make its way into a release before long).

The patch [0] seems to fix 614870, but not 582805; I still get

    (in cleanup) Can't locate object method "process" via package "Petal::Hash::Var" (perhaps you forgot to load "Petal::Hash::Var"?) at lib/Petal/Hash.pm line 188.
[PETAL ERROR] Can't locate object method "process" via package "Petal::Hash::Var" (perhaps you forgot to load "Petal::Hash::Var"?) at lib/Petal/Hash.pm line 188.
. Debug info written in /tmp/petal_debug.10399.1312823566.sjvalzinws at lib/Petal.pm line 484.
# Looks like your test exited with 255 before it could output anything.
t/004_Misc_Tests.t ...................... 
Dubious, test returned 255 (wstat 65280, 0xff00)
No subtests run 

etc.


Cheers,
gregor

[0]
http://arctic.loop0.org/~mathias/petal_perl_5.12.diff 
 
-- 
 .''`.   Homepage: http://info.comodo.priv.at/ - PGP/GPG key ID: 0x8649AA06
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
   `-    NP: Joan Baez: I Shall Be Released
[signature.asc (application/pgp-signature, inline)]

Removed tag(s) patch. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Mon, 08 Aug 2011 17:21:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#582805; Package src:libpetal-perl. (Sun, 14 Aug 2011 10:42:12 GMT) Full text and rfc822 format available.

Message #45 received at 582805@bugs.debian.org (full text, mbox):

From: pkg-perl-maintainers@lists.alioth.debian.org
To: 582805@bugs.debian.org, 582805-submitter@bugs.debian.org
Subject: Pending fixes for bugs in the libpetal-perl package
Date: Sun, 14 Aug 2011 10:41:20 +0000
tag 582805 + pending
thanks

Some bugs in the libpetal-perl package are closed in revision
e5e557c5495c57fceec7ca6b00cc9a18a3fa29af in branch 'master' by Damyan
Ivanov

The full diff can be seen at
http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/libpetal-perl.git;a=commitdiff;h=e5e557c

Commit message:

    add no-Safe.patch, removing usage of Safe.pm in taint mode
    
    This has the potential to break other code, but that code should be broken
    already by the new Safe.
    
    Closes: #582805 -- breaks with new Safe





Added tag(s) pending. Request was from pkg-perl-maintainers@lists.alioth.debian.org to control@bugs.debian.org. (Sun, 14 Aug 2011 10:42:21 GMT) Full text and rfc822 format available.

Message sent on to Niko Tyni <ntyni@debian.org>:
Bug#582805. (Sun, 14 Aug 2011 10:42:24 GMT) Full text and rfc822 format available.

Reply sent to Damyan Ivanov <dmn@debian.org>:
You have taken responsibility. (Tue, 16 Aug 2011 10:21:13 GMT) Full text and rfc822 format available.

Notification sent to Niko Tyni <ntyni@debian.org>:
Bug acknowledged by developer. (Tue, 16 Aug 2011 10:21:25 GMT) Full text and rfc822 format available.

Message #55 received at 582805-close@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: 582805-close@bugs.debian.org
Subject: Bug#582805: fixed in libpetal-perl 2.19-2
Date: Tue, 16 Aug 2011 10:17:25 +0000
Source: libpetal-perl
Source-Version: 2.19-2

We believe that the bug you reported is fixed in the latest version of
libpetal-perl, which is due to be installed in the Debian FTP archive:

libpetal-perl_2.19-2.debian.tar.gz
  to main/libp/libpetal-perl/libpetal-perl_2.19-2.debian.tar.gz
libpetal-perl_2.19-2.dsc
  to main/libp/libpetal-perl/libpetal-perl_2.19-2.dsc
libpetal-perl_2.19-2_all.deb
  to main/libp/libpetal-perl/libpetal-perl_2.19-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 582805@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Damyan Ivanov <dmn@debian.org> (supplier of updated libpetal-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 14 Aug 2011 14:19:15 +0300
Source: libpetal-perl
Binary: libpetal-perl
Architecture: source all
Version: 2.19-2
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Damyan Ivanov <dmn@debian.org>
Description: 
 libpetal-perl - Perl Template Attribute Language - TAL for perl
Closes: 523195 582805 614870
Changes: 
 libpetal-perl (2.19-2) unstable; urgency=low
 .
   * Team upload
 .
   [ gregor herrmann ]
   * debian/control: Added: ${misc:Depends} to Depends: field.
   * Remove Florian Ragwitz from Uploaders (closes: #523195).
 .
   [ Nathan Handler ]
   * debian/watch: Update to ignore development releases.
 .
   [ Salvatore Bonaccorso ]
   * debian/control: Changed: Replace versioned (build-)dependency on
     perl (>= 5.6.0-{12,16}) with an unversioned dependency on perl (as
     permitted by Debian Policy 3.8.3).
 .
   [ Ansgar Burchardt ]
   * debian/control: Convert Vcs-* fields to Git.
 .
   [ Damyan Ivanov ]
   * Use source format '3.0 (quilt)'
   * Import a patch from Stefan Seifert (nine_AT_detonation_DOT_org) replacing
     UNIVERSAL usage. Closes: #614870 -- UNIVERSAL->import is getting
     deprecated with Perl 5.12.0
   * add liblocale-maketext-gettext-perl to B-D-I, enabling additional test
   * add no-Safe.patch, removing usage of Safe.pm in taint mode. This has the
     potential to break other code, but that code should be broken already by
     the new Safe. Closes: #582805 -- breaks with new Safe
   * use tiny debhelper rules and compatibility level 8
   * remove unused lintian override about an unbreakable line in the manual
   * claim conformance with POlicy 3.9.2
   * add spelling-errors.patch fixing two spelling errors in Petal manual
Checksums-Sha1: 
 d9de3a4b7c54cd5259a1106b27c2b2f562221b9c 2021 libpetal-perl_2.19-2.dsc
 22408cd514a7cb5d7ee675f1d1e9ec02dc4fe2df 4961 libpetal-perl_2.19-2.debian.tar.gz
 e235342ede9518f989a06071076fdd03dc05759a 85892 libpetal-perl_2.19-2_all.deb
Checksums-Sha256: 
 044cb556a0c9b674500a9eaf511305bbc23c7228c156375c4f3f50f7d1b8cd8a 2021 libpetal-perl_2.19-2.dsc
 c4d5837894db48c68fc0e5ebedb3b45f4825a695e7cda35ac42bd63bed9b3a93 4961 libpetal-perl_2.19-2.debian.tar.gz
 b2346daa6f3bfab97fa76e9a0c6a08b33ce88292b6e51e787c7646b6fbd1b16b 85892 libpetal-perl_2.19-2_all.deb
Files: 
 259c5a1a87ed63d317eabe1aca2edaae 2021 perl optional libpetal-perl_2.19-2.dsc
 83a6bb60911ff4f55a3875d5bb86794f 4961 perl optional libpetal-perl_2.19-2.debian.tar.gz
 53b688918238c7e99389ce6af9134511 85892 perl optional libpetal-perl_2.19-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJOSj9gAAoJENu+nU2Z0qAEWuQQAJu17Vx3T1WT6Nx7XHzq44Ow
qaPjjOB1n9ppOdkRGy65vCYHO1E+mAD4xeBL5gcgckbtDDmeRL0BuyPibL1nNU0H
o1rtZ+I1aWbz0cFYLr9Bs3L2sXo6GWJIicZUTOADwdz5tehgaJcNFWAdSSvoP3Cs
YI8AhlWr/SpTFjsk8fNhjHyh2Uf2wxYxwrhiOc1uRoXW2siWan/lRAO0dOS+cpcY
agP8A3Ab1t/iGuS2qmOOepUnQwsdPpGT/Mts0A88d1AomSVNAvcw/recELxVyit1
0xIhgIgI/TGwdVK1jzSzFDtrNNTdlhEHnRAcqOqpWXrVa1vklgM2tM8lkAgRT5Ob
Xvdml2Sj9NVX2ddGZOy/vtsr72Pw5Fy2rh0H8wiMENod6n7iG7Lb1kBC5fxs+win
ucVSeLiFGdUoSWiimFqJirVG99Cr9tepS0wrh8Jgz2sa5xODzDii/lzRgXU5MSmj
WqqEaLiCVEd7wHLTqyaeJo4Pa1hujQybPR5WS86RvIn7FeaJsHfimuKXh/JqZMr2
3h1dZXgornCegK5S6fhPFPNCyVi/voQnEsf9F/mq+mwYffTNdQGdPm49Gre+hO6B
xiArH2FtxGu9YtpkaZnHrRSYDObw6pjiHMLGa383E0kl5kMXARYWgaR8sJxJvLwD
AlHpIuGy6KJ2tzrOCjEv
=8NFA
-----END PGP SIGNATURE-----





Reply sent to Damyan Ivanov <dmn@debian.org>:
You have taken responsibility. (Tue, 16 Aug 2011 10:21:32 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Tue, 16 Aug 2011 10:21:37 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 14 Mar 2012 07:39:36 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 23:39:58 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.